#include "bsp.h"

static const unsigned char leds[] = {
  0x01, 0x02, 0x04, 0x08, 0x10, 0x20, 0x40, 0x80, 0x40, 0x20, 0x10, 0x08, 0x04, 0x02
};

static inline void
delay ()
{
  int i;
  for (i=0; i<10; i++)
    asm("nop");
}

main()
{
  int i, j;
  int cycle = 0;

  prcr.b = 0x04;
  pd9.b = 0xff;
  pd10.b = 0xff;

  tty_init ();
  tty_puts("blinky!\n");

  tty_puts("P9 toggle version...\n");
  i = 0;
  while (1)
    {
      delay();
      p9.b = 0x00;
      delay();
      p9.b = 0xff;
      p9.b = 0x00;

      p9.b = 0x80;
      p9.b = 0x40;
      p9.b = 0x20;
      p9.b = 0x10;
      p9.b = 0x00;

      delay ();
      p9.b = 0xff;
      delay();
      p9.b = 0x00;
      p9.b = 0xff;

      p9.b = ~0x80;
      p9.b = ~0x40;
      p9.b = ~0x20;
      p9.b = ~0x10;
      p9.b = ~0x00;
    }

  i = 0;
  while (1)
    {
      wait_ms (71);
      //for (j=10000; j; j--)
      //asm("");
      p10.b = leds[i];
      p9.b = (i&1) ? 0xff : 0x00;
      i ++;
      if (i >= sizeof(leds))
	{
	  i = 0;
	  cycle ++;
	  cprintf("  %d \r", cycle);
	}
    }
}
